Bug 18788 - CBCP protocoll support for isdn-config
Summary: CBCP protocoll support for isdn-config
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isdn-config   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-10 09:10 UTC by István Tóth
Modified: 2007-03-27 03:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-28 21:34:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description István Tóth 2000-10-10 09:10:23 UTC
The ipppd in ISDN4k-utils has an undocumented option "callback 6", that
enables it to initiate callback using the cbcp protocoll.
This feature works very well (I am using it with a Cisco terminal server),
but it cannot be configured with isdn-config, and the /etc/init.d/isdn
script has to be hacked to enable setting this option.

So I propose the following changes: Make the /etc/init.d/isdn script also
handle the callback option, and add the option to set this in isdn-config,
tool, too.

Also regarding the /etc/init.d/isdn script, with the current script it is
not possible to add _additional_ options ipppd, if you specify an options
file, it will overwrite all ippd options set in
/etc/sysconfig/provider/provider-conf.

I have added the follwoing lines to /etc/init.d/isdn:

------------------------------------------------
       # Use provider options file instead
        if [ -f "/etc/ppp/options-$1" ]; then
            options="file /etc/ppp/options-$1"
        fi

+        # Add the options from the provider options file
+        if [ -f "/etc/ppp/extra-options-$1" ]; then
+            options="$options file /etc/ppp/extra-options-$1"
+        fi

        # Start ipppd
        /usr/sbin/ipppd $options
-------------------------------------------------

This change would make it easier to support funky ippp options without
having to hack the init scripts. (If this extra options could be set from
within isdn-config, as an advanced option, that would be even nicer.

					Regrads
					Istvan Toth

Comment 1 Ngo Than 2001-01-22 10:53:41 UTC
It's fixed. isdn-config will be obsolete in 7.1. A replacement is
internet-config.


Note You need to log in before you can comment on or make changes to this bug.